Bug 44842

Summary: [CMake] Unify GENERATE_DOM_NAMES code
Product: WebKit Reporter: Patrick R. Gansterer <paroga>
Component: Tools / TestsAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: commit-queue, kenneth, leandro
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: All   
OS: All   
Bug Depends on: 44966    
Bug Blocks: 43906    
Attachments:
Description Flags
Patch
none
Patch
none
Patch none

Description Patrick R. Gansterer 2010-08-29 11:43:29 PDT
see patch
Comment 1 Patrick R. Gansterer 2010-08-29 11:48:51 PDT
Created attachment 65859 [details]
Patch
Comment 2 Leandro Pereira 2010-08-30 11:09:59 PDT
My only concern is linking to files related to disabled features. I know most files have preprocessor guards, but they'll be compiled and linked anyway. Since there are already tests for these features, I think it would be a good idea to enclose the GENERATE/append to sources list stuff inside these tests.

Besides that, the patch looks fine to me.
Comment 3 Patrick R. Gansterer 2010-08-30 19:57:37 PDT
Created attachment 66004 [details]
Patch

Added IF(ENABLE_*)
Comment 4 WebKit Commit Bot 2010-08-31 07:59:59 PDT
Comment on attachment 66004 [details]
Patch

Clearing flags on attachment: 66004

Committed r66484: <http://trac.webkit.org/changeset/66484>
Comment 5 WebKit Commit Bot 2010-08-31 08:00:03 PDT
All reviewed patches have been landed.  Closing bug.
Comment 6 Patrick R. Gansterer 2010-08-31 11:54:06 PDT
Created attachment 66080 [details]
Patch

fixed patch
Comment 7 Kenneth Rohde Christiansen 2010-08-31 12:04:58 PDT
Comment on attachment 66080 [details]
Patch

Let's hope this works then :-)
Comment 8 Patrick R. Gansterer 2010-08-31 14:11:47 PDT
reopen for commit queue
Comment 9 WebKit Commit Bot 2010-08-31 17:18:15 PDT
Comment on attachment 66080 [details]
Patch

Clearing flags on attachment: 66080

Committed r66556: <http://trac.webkit.org/changeset/66556>
Comment 10 WebKit Commit Bot 2010-08-31 17:18:20 PDT
All reviewed patches have been landed.  Closing bug.